package com.yeejoin.amos.boot.module.common.api.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@AllArgsConstructor
@Getter
public enum CertificateStatusEnum {
    /**
     * 使用登记证状态
     *
     */

    YIDENGJI("已登记",0),
    YIZHUXIAO("已注销",1);
    String name;
    Integer code;

    public static Map<Integer,String> getName=new HashMap<>();
    public static Map<String,Integer> getCode=new HashMap<>();

    static {
        for (CertificateStatusEnum e : CertificateStatusEnum.values()){
            getName.put(e.code, e.name);
            getCode.put(e.name, e.code);
        }

    }
}
